# FoundationClasses
TKernel
OSD

# OSD_Disk Class Reference

Disk management
.

`#include <OSD_Disk.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_Disk ()
| Creates a disk object. This is used only when a class contains a Disk field. By default, its name is initialized to current working disk. .
Standard_EXPORT | OSD_Disk (const OSD_Path &Name)
| Initializes the object Disk with the disk name associated to the OSD_Path. .
Standard_EXPORT | OSD_Disk (const Standard_CString PathName)
| Initializes the object Disk with <pathname>. <pathname> specifies any file within the mounted file system. Example : OSD_Disk myDisk ("/tmp") Initializes a disk object with the mounted file associated to /tmp. .
Standard_EXPORT OSD_Path | Name () const
| Returns disk name of <me>. .
Standard_EXPORT void | SetName (const OSD_Path &Name)
| Instantiates <me> with <name>. .
Standard_EXPORT Standard_Integer | DiskSize ()
| Returns total disk capacity in 512 bytes blocks. .
Standard_EXPORT Standard_Integer | DiskFree ()
| Returns free available 512 bytes blocks on disk. .
Standard_EXPORT Standard_Integer | DiskQuota ()
| Returns user's disk quota (in Bytes). .
Standard_EXPORT void | SetDiskQuota (const Standard_Integer QuotaSize)
| Sets user's disk quota (in Bytes). Warning: Needs system administrator privilege. .
Standard_EXPORT void | SetQuotaOn ()
| Activates user's disk quota Warning: Needs system administrator privilege. .
Standard_EXPORT void | SetQuotaOff ()
| Deactivates user's disk quota Warning: Needs system administrator privilege. .
Standard_EXPORT Standard_Boolean | Failed () const
| Returns TRUE if an error occurs .
Standard_EXPORT void | Reset ()
| Resets error counter to zero .
Standard_EXPORT void | Perror ()
| Raises OSD_Error .
Standard_EXPORT Standard_Integer | Error () const
| Returns error number if 'Failed' is TRUE. .

## Private Attributes

TCollection_AsciiString | DiskName
Standard_Integer | myQuotaSize
OSD_Error | myError

## Constructor & Destructor Documentation

Standard_EXPORT OSD_Disk::OSD_Disk | ( |  | ) |

Standard_EXPORT OSD_Disk::OSD_Disk | ( | const OSD_Path & | Name | ) |

Standard_EXPORT OSD_Disk::OSD_Disk | ( | const Standard_CString | PathName | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer OSD_Disk::DiskFree | ( |  | ) |

Standard_EXPORT Standard_Integer OSD_Disk::DiskQuota | ( |  | ) |

Standard_EXPORT Standard_Integer OSD_Disk::DiskSize | ( |  | ) |

Standard_EXPORT Standard_Integer OSD_Disk::Error | ( |  | ) | const

Standard_EXPORT Standard_Boolean OSD_Disk::Failed | ( |  | ) | const

Standard_EXPORT OSD_Path OSD_Disk::Name | ( |  | ) | const

void OSD_Disk::operator delete | ( | void * | anAddress | ) | `[inline]`

void* OSD_Disk::operator new | ( | size_t | size | ) | `[inline]`

void* OSD_Disk::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void OSD_Disk::Perror | ( |  | ) |

Standard_EXPORT void OSD_Disk::Reset | ( |  | ) |

Standard_EXPORT void OSD_Disk::SetDiskQuota | ( | const Standard_Integer | QuotaSize | ) |

Standard_EXPORT void OSD_Disk::SetName | ( | const OSD_Path & | Name | ) |

Standard_EXPORT void OSD_Disk::SetQuotaOff | ( |  | ) |

Standard_EXPORT void OSD_Disk::SetQuotaOn | ( |  | ) |

## Field Documentation

TCollection_AsciiString OSD_Disk::DiskName `[private]`

OSD_Error OSD_Disk::myError `[private]`

Standard_Integer OSD_Disk::myQuotaSize `[private]`

The documentation for this class was generated from the following file:

- OSD_Disk.hxx